Index: SPECS/gcc41.spec
===================================================================
--- SPECS.orig/gcc41.spec
+++ SPECS/gcc41.spec
@@ -45,7 +45,9 @@ BuildRoot: %{_tmppath}/%{name}-%{version
 # Need binutils which support mffgpr and mftgpr >= 2.17.50.0.2-8
 BuildRequires: binutils >= 2.17.50.0.2-8
 BuildRequires: zlib-devel, gettext, dejagnu, bison, flex, texinfo, sharutils
+%if %{build_java}
 BuildRequires: /usr/bin/fastjar
+%endif
 # Make sure pthread.h doesn't contain __thread tokens
 # Make sure glibc supports stack protector
 # Make sure glibc supports DT_GNU_HASH
@@ -330,6 +332,7 @@ To instrument a non-threaded program, ad
 option to GCC and when linking add -lmudflap, for threaded programs
 also add -fmudflapth and -lmudflapth.
 
+%if %{build_java}
 %package java
 Summary: Java support for GCC
 Group: Development/Languages
@@ -411,6 +414,7 @@ Provides: libgcj-src = %{gcc_provides}
 
 %description -n libgcj-src
 The Java(tm) runtime library sources for use in Eclipse.
+%endif
 
 %package -n cpp
 Summary: The C Preprocessor.
@@ -1085,6 +1089,7 @@ if [ $1 = 0 ]; then
     --info-dir=%{_infodir} %{_infodir}/gfortran.info.gz || :
 fi
 
+%if %{build_java}
 %post java
 /sbin/install-info \
   --info-dir=%{_infodir} %{_infodir}/gcj.info.gz || :
@@ -1094,6 +1099,7 @@ if [ $1 = 0 ]; then
   /sbin/install-info --delete \
     --info-dir=%{_infodir} %{_infodir}/gcj.info.gz || :
 fi
+%endif
 
 %post gnat
 /sbin/install-info \
@@ -1126,6 +1132,7 @@ fi
 
 %postun -n libobjc -p /sbin/ldconfig
 
+%if %{build_java}
 %post -n libgcj
 /sbin/ldconfig
 /sbin/install-info \
@@ -1138,6 +1145,7 @@ if [ $1 = 0 ]; then
 fi
 
 %postun -n libgcj -p /sbin/ldconfig
+%endif
 
 %post -n libgfortran -p /sbin/ldconfig
 
